#
# spec file for package python-tripleo-common
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global sname tripleo-common
Name:           python-tripleo-common
Version:        9.3.0
Release:        4.57
Summary:        Python library for code used by TripleO projects
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/%{sname}
Source0:        https://files.pythonhosted.org/packages/source/t/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-GitPython
BuildRequires:  python-PyYAML
BuildRequires:  python-devel
BuildRequires:  python-docker
BuildRequires:  python-heatclient
BuildRequires:  python-ironic-inspector-client
BuildRequires:  python-ironicclient
BuildRequires:  python-mistral-lib
BuildRequires:  python-mistralclient
BuildRequires:  python-oslo.concurrency
BuildRequires:  python-oslo.log
BuildRequires:  python-oslotest
BuildRequires:  python-paramiko
BuildRequires:  python-passlib
BuildRequires:  python-python-subunit
BuildRequires:  python-tenacity
BuildRequires:  python-testrepository
BuildRequires:  python-testscenarios
BuildRequires:  python-testtools
BuildRequires:  python-zaqarclient
Requires:       ansible
Requires:       python-Babel
Requires:       python-GitPython
Requires:       python-Jinja2
# FIXME(jpena): specifying a version below is apparently needed for RDO
Requires:       python-docker >= 2.0.0
Requires:       python-glanceclient
Requires:       python-heatclient
Requires:       python-ironic-inspector-client
Requires:       python-ironicclient
Requires:       python-keystoneauth1
Requires:       python-keystoneclient
Requires:       python-mistral-lib
Requires:       python-mistralclient
Requires:       python-netaddr
Requires:       python-netifaces
Requires:       python-novaclient
Requires:       python-oslo.concurrency
Requires:       python-oslo.config
Requires:       python-oslo.log
Requires:       python-oslo.utils
Requires:       python-paramiko
Requires:       python-passlib
Requires:       python-six
Requires:       python-tenacity
Requires:       python-zaqarclient
BuildArch:      noarch

%description
Python library for code used by TripleO projects.

%package doc
Summary:        Documentation for Python library for code used by TripleO projects
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme

%description      doc
Python library for code used by TripleO projects.
This package contains auto-generated documentation.

%package devtools
Summary:        A collection of tools for TripleO developers and CI
Group:          Development/Languages/Python
Requires:       %{name} = %{version}-%{release}

%description devtools
This package installs the TripleO tools for developers and CI that typically
don't fit in a product.

%prep
%autosetup -n %{sname}-%{version}
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%{py2_build}

%{__python2} setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{py2_install}

%check
%{__python2} setup.py testr

%files
%doc README.rst ChangeLog
%license LICENSE
%{python2_sitelib}/tripleo_common
%{python2_sitelib}/*.egg-info
%dir %{_prefix}/lib/heat
%{_prefix}/lib/heat/undercloud_heat_plugins
%{_bindir}/create_freeipa_enroll_envfile.py
%{_bindir}/run-validation
%{_bindir}/upload-puppet-modules
%{_bindir}/upload-swift-artifacts
%{_bindir}/tripleo-build-images
%{_bindir}/tripleo-config-download
%{_bindir}/bootstrap_host_exec
%{_bindir}/bootstrap_host_only_exec
%{_bindir}/bootstrap_host_only_eval
%{_bindir}/tripleo-container-image-prepare
%{_datadir}/%{sname}
%{_datadir}/ansible

%files doc
%license LICENSE
%doc doc/build/html

%files devtools
%{_bindir}/pull-puppet-modules

%changelog
